Package org.apache.nutch.service.impl

## Class SequenceReader

- java.lang.Object
- - org.apache.nutch.service.impl.SequenceReader

- All Implemented Interfaces:
    `NutchReader`

      public class SequenceReader
      extends Object
      implements NutchReader

  Enables reading a sequence file and methods provide different ways to read the file.
  Author:
    Sujen Shah

- - ### Field Summary

    - ### Fields inherited from interface org.apache.nutch.service.NutchReader

      `conf, LOG`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SequenceReader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `count​(String path)` |
    `List<List<String>>` | `head​(String path, int nrows)` |
    `List<List<String>>` | `read​(String path)` |
    `List<List<String>>` | `slice​(String path, int start, int end)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SequenceReader

          public SequenceReader()

  - ### Method Detail

    - #### read

          public List<List<String>> read​(String path)
                                  throws FileNotFoundException

      Specified by:
        `read` in interface `NutchReader`
      Throws:
        `FileNotFoundException`

    - #### head

          public List<List<String>> head​(String path,
                                         int nrows)
                                  throws FileNotFoundException

      Specified by:
        `head` in interface `NutchReader`
      Throws:
        `FileNotFoundException`

    - #### slice

          public List<List<String>> slice​(String path,
                                          int start,
                                          int end)
                                   throws FileNotFoundException

      Specified by:
        `slice` in interface `NutchReader`
      Throws:
        `FileNotFoundException`

    - #### count

          public int count​(String path)
                    throws FileNotFoundException

      Specified by:
        `count` in interface `NutchReader`
      Throws:
        `FileNotFoundException`